package com.agilex.vamf.missionhealth.service;

import com.agilex.vamf.missionhealth.domain.WeeklyServiceMetrics;

import java.util.ArrayList;
import java.util.List;

/**
 * Created with IntelliJ IDEA.
 * User: vguthrie
 * Date: 11/6/13
 * Time: 1:27 PM
 */
public class MissionHealthWeeklyStatus extends AbstractMissionHealthStatus {

    private Integer detailRecordsUpdated = 0;
    private Integer usersWithLogin = 0;
    private Integer totalLogins = 0;
    private Integer totalMissionsCompleted = 0;
    private List<WeeklyServiceMetrics> serviceMetrics = new ArrayList<WeeklyServiceMetrics>();
    private List<WeeklyServiceMetrics> annualServiceMetrics =new ArrayList<WeeklyServiceMetrics>();

    public Integer getDetailRecordsUpdated() {
        return detailRecordsUpdated;
    }

    public void setDetailRecordsUpdated(Integer detailRecordsUpdated) {
        this.detailRecordsUpdated = detailRecordsUpdated;
    }

    public Integer getUsersWithLogin() {
        return usersWithLogin;
    }

    public void setUsersWithLogin(Integer usersWithLogin) {
        this.usersWithLogin = usersWithLogin;
    }

    public Integer getTotalLogins() {
        return totalLogins;
    }

    public void setTotalLogins(Integer totalLogins) {
        this.totalLogins = totalLogins;
    }

    public Integer getTotalMissionsCompleted() {
        return totalMissionsCompleted;
    }

    public void setTotalMissionsCompleted(Integer totalMissionsCompleted) {
        this.totalMissionsCompleted = totalMissionsCompleted;
    }

    public List<WeeklyServiceMetrics> getServiceMetrics() {
        return serviceMetrics;
    }

    public void setServiceMetrics(List<WeeklyServiceMetrics> serviceMetrics) {
        this.serviceMetrics = serviceMetrics;
    }
    
    public List<WeeklyServiceMetrics> getAnnualServiceMetrics() {
		return annualServiceMetrics;
	}

	public void setAnnualServiceMetrics(
			List<WeeklyServiceMetrics> annualServiceMetrics) {
		this.annualServiceMetrics = annualServiceMetrics;
	}
}
